OGRE: Ogre::Any Class Reference - OGRE Documentation

Classes | Public Member Functions | Protected Attributes | Friends

# Ogre::Any Class Reference
[General]

Variant type that can hold Any other type. More...

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any:
[legend]

List of all members.

## Classes
class | holder
class | placeholder
## Public Member Functions
| Any ()
template<typename ValueType >
| Any (const ValueType &value)
| Any (const Any &other)
virtual | ~Any ()
Any & | swap (Any &rhs)
template<typename ValueType >
Any & | operator= (const ValueType &rhs)
Any & | operator= (const Any &rhs)
bool | isEmpty () const
const std::type_info & | getType () const
void | destroy ()
template<typename ValueType >
ValueType | operator() () const
## Protected Attributes
placeholder * | mContent
## Friends
std::ostream & | operator<< (std::ostream &o, const Any &v)
template<typename ValueType >
ValueType * | any_cast (Any *)

## Detailed Description

Variant type that can hold Any other type.

Definition at line 56 of file OgreAny.h.

## Constructor & Destructor Documentation

Ogre::Any::Any | ( |  | ) |

Definition at line 60 of file OgreAny.h.

Referenced by operator=().

template<typename ValueType >

Ogre::Any::Any | ( | const ValueType & | value | ) | `[explicit]`

Definition at line 66 of file OgreAny.h.

Ogre::Any::Any | ( | const Any & | other | ) |

Definition at line 71 of file OgreAny.h.

virtual Ogre::Any::~Any | ( |  | ) | `[virtual]`

Definition at line 76 of file OgreAny.h.

References destroy().

## Member Function Documentation

void Ogre::Any::destroy | ( |  | ) |

Definition at line 122 of file OgreAny.h.

References mContent, Ogre::MEMCATEGORY_GENERAL, and OGRE_DELETE_T.

Referenced by ~Any().

const std::type_info& Ogre::Any::getType | ( | void |  | ) | const

Definition at line 109 of file OgreAny.h.

References Ogre::Any::placeholder::getType(), and mContent.

Referenced by Ogre::any_cast(), and operator()().

bool Ogre::Any::isEmpty | ( |  | ) | const

Definition at line 104 of file OgreAny.h.

References mContent.

template<typename ValueType >

ValueType Ogre::Any::operator() | ( |  | ) | const

Definition at line 194 of file OgreAny.h.

References Ogre::Exception::ERR_INVALIDPARAMS, getType(), mContent, and OGRE_EXCEPT.

Any& Ogre::Any::operator= | ( | const Any & | rhs | ) |

Definition at line 96 of file OgreAny.h.

References Any().

template<typename ValueType >

Any& Ogre::Any::operator= | ( | const ValueType & | rhs | ) |

Definition at line 90 of file OgreAny.h.

References Any().

Any& Ogre::Any::swap | ( | Any & | rhs | ) |

Definition at line 83 of file OgreAny.h.

References mContent.

## Friends And Related Function Documentation

template<typename ValueType >

ValueType* any_cast | ( | Any * | operand | ) | `[friend]`

Definition at line 383 of file OgreAny.h.

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Any & | v |
| ) |  |  | `[friend]`

Definition at line 115 of file OgreAny.h.

## Member Data Documentation

placeholder* Ogre::Any::mContent`[protected]`

Definition at line 185 of file OgreAny.h.

Referenced by Ogre::any_cast(), Ogre::AnyNumeric::AnyNumeric(), destroy(), getType(), isEmpty(), operator()(), Ogre::AnyNumeric::operator*(), Ogre::AnyNumeric::operator*=(), Ogre::AnyNumeric::operator+(), Ogre::AnyNumeric::operator+=(), Ogre::AnyNumeric::operator-(), Ogre::AnyNumeric::operator-=(), Ogre::AnyNumeric::operator/(), Ogre::AnyNumeric::operator/=(), and swap().

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53